org.apache.maven.artifact.repository.metadata

## Interface RepositoryMetadata

All Superinterfaces:
  ArtifactMetadata

All Known Implementing Classes:
  AbstractRepositoryMetadata, ArtifactRepositoryMetadata, GroupRepositoryMetadata, SnapshotArtifactRepositoryMetadata

    public interface RepositoryMetadata
    extends ArtifactMetadata

Describes repository directory metadata.

Version:
  $Id: RepositoryMetadata.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Method Summary

Methods
`Metadata` `getMetadata()` Get the repository metadata associated with this marker.
`boolean` `isSnapshot()` Whether this represents a snapshot.
`void` `setMetadata(Metadata metadata)` Set the metadata contents.
`void` `setRepository(ArtifactRepository remoteRepository)` Set the repository the metadata was located in.

### Methods inherited from interface org.apache.maven.artifact.metadata.ArtifactMetadata

`extendedToString, getArtifactId, getBaseVersion, getGroupId, getKey, getLocalFilename, getRemoteFilename, merge, storedInArtifactVersionDirectory, storedInGroupDirectory, storeInLocalRepository`

### Method Detail

#### setRepository

    void setRepository(ArtifactRepository remoteRepository)

Set the repository the metadata was located in.

Parameters:
  `remoteRepository` - the repository

#### getMetadata

    Metadata getMetadata()

Get the repository metadata associated with this marker.

Returns:
  the metadata, or `null` if none loaded

#### setMetadata

    void setMetadata(Metadata metadata)

Set the metadata contents.

Parameters:
  `metadata` - the metadata

#### isSnapshot

    boolean isSnapshot()

Whether this represents a snapshot.

Returns:
  if it is a snapshot